Summary:	Nautilus extension for customizing the context menu
Name:		nautilus-actions
Version:	1.9
Release:	0.3.svn20081020%{?dist}
Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.grumz.net/node/8
#Source0:	ftp://ftp2.grumz.net/grumz/%{name}-%{version}.tar.gz
# Tarball generated from svn checkout on the date referenced in the spec
# 'Release' field. The tarball can be re-generated as follows;
#  svn co -r 510 http://svn.gnome.org/svn/nautilus-actions/trunk/ nautilus-actions-svn20081020
#  cd nautilus-actions-svn20081020 && ./autogen.sh
Source0:	%{name}-svn20081020.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libgnomeui-devel, libglade2-devel, nautilus-devel
BuildRequires:	e2fsprogs-devel, gettext, perl(XML::Parser)
BuildRequires:	desktop-file-utils intltool
Requires(pre):	GConf2
Requires(preun):GConf2

%description
Nautilus actions is an extension for Nautilus, the GNOME file manager.
It provides an easy way to configure programs to be launch on files 
selected in Nautilus interface

%prep
%setup -q -n %{name}-svn20081020

%build
%configure --disable-schemas-install --enable-commandline-tool
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}/%{_libdir}/nautilus/extensions-2.0/libnautilus-actions.la
rm -rf %{buildroot}%{_datadir}/applications/fedora-nact.desktop

desktop-file-install --delete-original			\
	--vendor fedora					\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	--remove-category Application			\
	--remove-category AdvancedSettings		\
	--add-category GNOME				\
	--add-category Settings				\
	%{buildroot}%{_datadir}/applications/nact.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ -s %{_sysconfdir}/gconf/schemas/config_newaction.schemas ]; then 
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/config_newaction.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi
fi

%preun
if [ -s %{_sysconfdir}/gconf/schemas/config_newaction.schemas ]; then
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/config_newaction.schemas > /dev/null || :
    gconftool-2 --recursive-unset /apps/nautilus-actions
    gconftool-2 --recursive-unset /schemas/apps/nautilus-actions
    killall -HUP gconfd-2 || :
fi
fi

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/nautilus-actions-config
%{_bindir}/nautilus-actions-check-actions-change
%{_bindir}/nautilus-actions-new-config
%{_libdir}/nautilus/extensions-2.0/libnautilus-actions.so
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/nautilus-actions.*
%{_datadir}/applications/fedora-nact.desktop

%changelog
* Thu Oct 23 2008 Deji Akingunola <dakingun@gmail.com> - 1.9-0.3.svn20081020
- Update to a svn snapshot to fix bug #450988

* Sat May 17 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-4
- Fix the nautilus-extension directory

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-3
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- Update the Source url
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- License tag update

* Thu May 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-1
- New (bug-fix) release

* Wed Sep 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-4
- Fix issue with nautilus-action-config, bug #205967

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-3
- Rebuild for FC6

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-2
- Requires nautilus-devel instead of just nautilus to build

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-1
- Update to version 1.4

* Tue May 30 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-2
- Add gettext and perl(XML::Parser) to BRs

* Mon May 01 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-1
- Update to version 1.2
- Make sure fix for upgrade from ver. < 1.0 doesn't throw up errors

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-2
- Rebuild for Fedora Extras 5

* Wed Feb 8 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-1
- New upstream version
- Do away with gconf schemas installation

* Mon Jan 2 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-6
- Add nautilus extensions dir to configure arguments

* Sun Jan 1 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-5
- Remove libXdmcp-devel as BR, nautilus now takkes care of it

* Sun Dec 18 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-4
- Remove libSM-devel from build require as libgnomeui now build-requires
- Add libXdmcp-devel to the build requires

* Tue Nov 29 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-2
- Remove unnecesary configure options
- Clean-up the desktop file installation
- Add e2fsprogs-devel buildrequire and remove explicit require on nautilus

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-1
- initial Extras release
